v1.0
post
/ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/asynch/report/{reportName}
Asynchronous call to generates a report for the subject's data and events and to calculate projected dispensation date: DC_SUBJECT_EVENTS, DC_SUBJECT_DATA, DC_SUBJECT_DATA_OPTION3,DC_STUDY_SETTINGS,DC_SUBJECT_SETTINGS,DC_SDV_SETTINGS,DC_SDV_STRATEGIES,DC_ENROLLMENT_SETTINGS,DC_SCREEN_RAND_LIMIT_COUNTRY,DC_VISIT_SETTINGS_REPORT,DC_CUSTOM_ENROLLMENT_SETTINGS,DC_VISIT_SETTINGS,DC_PROJECTEDVISITDATE..
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
reportName(required): string
Name of the report to generate: DC_SUBJECT_EVENTS, DC_SUBJECT_DATA, DC_SUBJECT_DATA_OPTION3,DC_STUDY_SETTINGS,DC_SUBJECT_SETTINGS,DC_SDV_SETTINGS,DC_SDV_STRATEGIES,DC_ENROLLMENT_SETTINGS,DC_SCREEN_RAND_LIMIT_COUNTRY,DC_VISIT_SETTINGS_REPORT,DC_CUSTOM_ENROLLMENT_SETTINGS,DC_VISIT_SETTINGS,DC_PROJECTEDVISITDATE.Example:
DC_SUBJECT_DATA -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A1B2C3D4E5F647839ABCDEF012345678
Query Parameters
-
format: string
File type for data extract.File Type supported are CSV, HTML and PDFExample:
CSV -
reportid: string(uuid)
Unique report identifierExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : Extended Field Specs
Type:
objectTitle:
Extended Field SpecsContains extended field specifications.
Show Source
-
extFieldSpecsList: array
Extended Field Specs
Title:
Extended Field SpecsMinimum Number of Items:0List of extended field specifications. -
fieldSpecsList: array
Field Specs
Title:
Field SpecsMinimum Number of Items:0List of base field specifications.
Nested Schema : Extended Field Specs
Type:
arrayTitle:
Extended Field SpecsMinimum Number of Items:
0List of extended field specifications.
Show Source
-
Array of:
object Field
Generic representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Nested Schema : Field Specs
Type:
arrayTitle:
Field SpecsMinimum Number of Items:
0List of base field specifications.
Show Source
-
Array of:
object Field
Generic representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Nested Schema : Field
Type:
objectGeneric representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Show Source
-
fieldName(required): string
Minimum Length:
1Maximum Length:255Field name to evaluate. Examples include STUDYID, SITEID, ruleState, and dateRange.Example:ruleState -
fieldSequence: integer
(int32)
Minimum Value:
0Maximum Value:2147483647Sequence/order of the field. Provide a non-negative integer.Example:1 -
fieldType(required): string
Minimum Length:
4Maximum Length:16Allowed Values:[ "list", "date", "date-time", "number", "string", "boolean" ]Field value classification. Use list for enumerations, date for calendar values, date-time for timestamps, number for numeric filters, string for textual filters, or boolean for true/false.Example:list -
fieldValueList(required): array
fieldValueList
List of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Example:
{
"fieldName":"ruleState",
"fieldType":"list",
"fieldSequence":1,
"fieldValueList":[
"approved"
]
}Nested Schema : fieldValueList
Type:
arrayList of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Show Source
-
Array of:
string
Minimum Length:
1Maximum Length:256Example:publish
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
202 Response
Successful operation.
400 Response
Invalid request.
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
401 Response
User not authorized to generate the report.
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
500 Response
Internal server error.
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.